%global git_date  20230831
%global git_hash  71ec8e8
%global git_ver  2023

%global rel  1
%global src_name  %{dir_name}-%{git_date}-%{git_hash}.tar.xz
%global dir_name Graphite-gtk-theme

Name:     graphite-theme
Version:  %{git_ver}^%{git_date}g%{git_hash}
Release:  %{rel}%{?dist}
Summary:  Graphite Theme
License:  GPLv3
URL:      https://github.com/vinceliuice/Graphite-gtk-theme
Source:	  %{url}/%{src_name}

BuildArch:  noarch

BuildRequires:  sassc

Requires:  gtk-murrine-engine
Requires:  gnome-themes-extra
Requires:  gtk3

%description
Graphite theme for gtk, gnome shell, cinnamon, and xfwm4.

%package wallpapers
Summary: %summary wallpapers
%description wallpapers
%summary wallpapers

%prep
%autosetup -n %{dir_name}

%build

%install
./install.sh --theme all --dest %{buildroot}%{_datarootdir}/themes

mkdir -p %{buildroot}%{_datadir}/backgrounds/Graphite-nord/
mkdir -p %{buildroot}%{_datadir}/backgrounds/Graphite/
#mkdir -p %{buildroot}%{_datadir}/backgrounds/Graphite-svg/
#install -p -D -m644 wallpaper/src/*  %{buildroot}%{_datadir}/backgrounds/Graphite-svg/
install -p -D -m644 wallpaper/Graphite/*  %{buildroot}%{_datadir}/backgrounds/Graphite/
install -p -D -m644 wallpaper/Graphite-nord/*  %{buildroot}%{_datadir}/backgrounds/Graphite-nord/


%files
%doc README.md
%license LICENSE
%{_datarootdir}/themes/*

%files wallpapers
%{_datarootdir}/backgrounds/*

%changelog
%autochangelog
